Package org.apache.aries.jax.rs.rest.management.internal

## Class RestManagementApplication

- java.lang.Object
- - javax.ws.rs.core.Application
  - - org.apache.aries.jax.rs.rest.management.internal.RestManagementApplication

    public class RestManagementApplication
    extends javax.ws.rs.core.Application

### Constructor Summary

Constructors
`RestManagementApplication​(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addExtension​(org.apache.aries.component.dsl.CachingServiceReference<org.osgi.service.rest.RestApiExtension> extension)`
`Set<Object>` `getSingletons()`
`void` `removeExtension​(org.apache.aries.component.dsl.CachingServiceReference<org.osgi.service.rest.RestApiExtension> extension)`

### Methods inherited from class javax.ws.rs.core.Application

`getClasses, getProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestManagementApplication

    public RestManagementApplication​(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### getSingletons

    public Set<Object> getSingletons()

Overrides:
  `getSingletons` in class `javax.ws.rs.core.Application`

#### addExtension

    public void addExtension​(org.apache.aries.component.dsl.CachingServiceReference<org.osgi.service.rest.RestApiExtension> extension)

#### removeExtension

    public void removeExtension​(org.apache.aries.component.dsl.CachingServiceReference<org.osgi.service.rest.RestApiExtension> extension)